require "import"

import "android.content.Context"
import "android.provider.Settings"

local context = this or activity or context
local device_id

if context then
    device_id = Settings.Secure.getString(context.getContentResolver(), Settings.Secure.ANDROID_ID)
end

-- قائمة المعرفات التي ترغب في التحقق منها
local valid_device_ids = {
    "المعرف الأول",
    "المعرف الثاني"
}

local is_valid = false
for _, valid_id in ipairs(valid_device_ids) do
    if device_id == valid_id then
        is_valid = true
        break
    end
end

if is_valid then
--قم بوضع الوظائف التي تريد تنفيذها عند تطابق المعرفات هنا. 
else
    print("لا توجد معرفات متطابقة. ")
end